Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ormapping
Class ExplicitBlobMapping

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
            |
            +--com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
                  |
                  +--com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
                        |
                        +--com.solarmetric.kodo.impl.jdbc.ormapping.BlobMapping
                              |
                              +--com.solarmetric.kodo.impl.jdbc.ormapping.ExplicitBlobMapping

All Implemented Interfaces:
  LoadSecondary, PrimaryTable, StorePrimary

public class ExplicitBlobMapping
extends BlobMapping

Represents the mapping of a field explicitly marked a BLOB by its metadata. The normal BLOB mapping is used as a catch-all; this one is tested first in case the user wants to use a BLOB for a field that could i normally be persisted in another manner.

Field Summary
`static String` | `BLOB` Metadata extension key used to mark whether a field should be serialized as a blob.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
`REF_COL`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`COL_INDEX, COL_LENGTH, DATA_COL, EMPTY_COLUMNS`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`_loc, _log, CUSTOM_MAPPING, dict, MAPPING, TABLE`

Constructor Summary
`ExplicitBlobMapping()`

Method Summary
`protected boolean` | `canMap(FieldMetaData fmd, ClassResolver resolver)` Return true if this mapping type can handle the given field, false otherwise.

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.BlobMapping
`getSQLType`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.LobMapping
`appendIsEmpty, appendIsNotNull, appendIsNull, delete, getColumns, getKeyColumns, getLoadResultSet, getPKColumns, getRefColumns, insert, install, join, joinKey, joinKeyRelation, joinRelation, load, select, setPKColumns, setRefColumns, update`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.FieldMapping
`addColumn, addPKColumns, compareToNull, getDataColumns, getDataStoreValue, getInstance, getInstance, getKeyDataStoreValue, getMetaData, join, setDataColumns`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.ormapping.Mapping
`checkExtension, createMapping, createMapping, createMappings, createMappings, getClassName, getConfiguration, getDictionary, getFieldMapping, getInstance, getTable, install`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOB

    public static final String BLOB

  Metadata extension key used to mark whether a field should be serialized as a blob.

Constructor Detail

### ExplicitBlobMapping

    public ExplicitBlobMapping()

Method Detail

### canMap

    protected boolean canMap(FieldMetaData fmd,
                             ClassResolver resolver)

  Description copied from class: `FieldMapping`
  Return true if this mapping type can handle the given field, false otherwise. Note that this method cannot rely on the existance of other Mappings, as it is used in bootstrapping.
  Overrides:
    `canMap` in class `BlobMapping`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.